이 콘텐츠는 선택한 언어로 제공되지 않습니다.
13.2.2. List Embedded Cartridges
Description
Get a list of embedded cartridges that have been added to an application. For scaled applications, the API also returns the scaling properties of the cartridge.
Note
List of all embedded cartridges can also be retrieved with the
LIST_APPLICATIONS resource. See Section 11.6, “List Applications and Cartridges” for more information.
Method and URL Structure
| Method | Resource URL |
|---|---|
GET | /broker/rest/application/:id/cartridges |
Request Parameters
Not applicable
cURL Command Example
$ curl -X GET https://openshift.redhat.com/broker/rest/application/534253991015616165707776/cartridges --user user@example.com
JSON Response
The API returns a list of all embedded cartridges that have been added to the specified application. Related resource links and other cartridges returned by the API have been removed for brevity. See Chapter 13, Cartridges for more information on all cartridge parameters.
{
"api_version": 1.6,
"data": [
{
"additional_gear_storage": 10,
"base_gear_storage": 1,
"collocated_with": [
"haproxy-1.4"
],
"current_scale": 1,
"description": "Ruby is a dynamic, reflective, general-purpose object-oriented programming language. Popular development frameworks include Ruby on Rails and Sinatra.",
"display_name": "Ruby 2.0",
"gear_profile": "small",
"help_topics": {
},
"license": "Ruby BSDL",
"license_url": "http://www.ruby-lang.org/en/about/license.txt",
"links": {
"GET": {
"href": "https://openshift.redhat.com/broker/rest/application/527ade9d7f9c48d37100000a/cartridge/ruby-2.0",
"method": "GET",
"optional_params": [
],
"rel": "Get cartridge",
"required_params": [
]
},
"UPDATE": {
"href": "https://openshift.redhat.com/broker/rest/application/527ade9d7f9c48d37100000a/cartridge/ruby-2.0",
"method": "PUT",
"optional_params": [
{
"default_value": null,
"description": "Additional filesystem storage in gigabytes on each gear having cartridge ruby-2.0",
"name": "additional_gear_storage",
"type": "integer",
"valid_options": [
]
},
{
"default_value": null,
"description": "Minimum number of gears having cartridge ruby-2.0",
"name": "scales_from",
"type": "integer",
"valid_options": [
]
},
{
"default_value": null,
"description": "Maximum number of gears having cartridge ruby-2.0",
"name": "scales_to",
"type": "integer",
"valid_options": [
]
}
],
"rel": "Update cartridge configuration",
"required_params": [
........
"status": "ok",
"supported_api_versions": [
1.0,
1.1,
1.2,
1.3,
1.4,
1.5,
1.6
],
"type": "cartridges",
"version": "1.6"
}